<?
define("MODX_CORE_PATH", "./core/");
define("MODX_CONFIG_KEY", "config");
 
include(MODX_CORE_PATH . "model/modx/modx.class.php");
 
$modx = new modX();
 
$modx->initialize("xPDO");
 
$modx->cacheManager->refresh();
 
$modx->cacheManager->refresh(array(
    'context_settings' => array('contexts' => array('web'))
));
  
$contexts = array();
  
$query = $modx->newQuery('modContext');
$query->select($modx->escape('key'));
  
if($query->prepare() && $query->stmt->execute())
{
    $contexts = $query->stmt->fetchAll(PDO::FETCH_COLUMN);
}
 
$results = array();
  
$modx->cacheManager->refresh(array(
    'auto_publish' => array('contexts' => array_diff($contexts, array('mgr'))),
    'system_settings' => array(),
    'context_settings' => array('contexts' => $contexts),
    'db' => array(),
    'scripts' => array(),
    'default' => array(),
    'resource' => array('contexts' => array_diff($contexts, array('mgr'))),
    'menu' => array(),
    'action_map' => array(),
    'lexicon_topics' => array()
), $results);
?>